package com.test.referencedata;

import java.io.Serializable;

import org.hibernate.search.annotations.Field;
import org.hibernate.search.annotations.Indexed;
import org.hibernate.search.annotations.ProvidedId;
import org.hibernate.search.annotations.Store;

@ProvidedId
@Indexed(index = "SimpleDomain")
public class SimpleDomain implements Serializable{

	private static final long serialVersionUID = 7368531117085689406L;

	@Field(store = Store.YES)
	private String data;

	@Field(store = Store.YES)
	private int id;

	public SimpleDomain(int id, String data) {
		super();
		this.id = id;
		this.data = data;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		SimpleDomain other = (SimpleDomain) obj;
		if (data == null) {
			if (other.data != null)
				return false;
		} else if (!data.equals(other.data))
			return false;
		if (id != other.id)
			return false;
		return true;
	}

	public String getData() {
		return data;
	}

	public int getId() {
		return id;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((data == null) ? 0 : data.hashCode());
		result = prime * result + id;
		return result;
	}

	@Override
	public String toString() {
		return "SimpleDomain [id=" + id + ", data=" + data + "]";
	}

}
